/*
 * libclose.c - loader for library
 *
 * Copyright (C) 2019 Thorsten Otto
 */
#include "slb/bzip2.h"
#include <stdio.h>
#include <mint/mintbind.h>
#include <time.h>
#include "libstrct.h"
#include "slbload.h"


static long __CDECL slb_unloaded(SLB_HANDLE slb, long fn, short nwords, ...)
{
	(void)slb;
	(void)fn;
	(void)nwords;
	(void) Cconws(BZIP2_SHAREDLIB_NAME " was already unloaded\r\n");
	Pterm(1);
	return -32;
}


void slb_bzip2_close(void)
{
	SLB *bzip2 = slb_bzip2_get();

	if (!bzip2)
		return;
	if (bzip2->handle)
	{
		slb_unload(bzip2->handle);
		bzip2->handle = 0;
	}
	bzip2->exec = slb_unloaded;
}
