/*
 * slb/bzip2.h - Utility functions for the application,
 * when using the shared library.
 *
 * Copyright (C) 2019 Thorsten Otto
 */
#ifndef __SLB_BZIP2_H__
#define __SLB_BZIP2_H__ 1

#ifndef BZIP2_SLB
#define BZIP2_SLB 1
#endif

#include <bzlib.h>

#ifndef __CDECL
#define __CDECL
#endif

#include <mint/slb.h>

#include <stdio.h>

#ifdef __cplusplus
extern "C" {
#endif

#define BZIP2_SHAREDLIB_NAME "bz2.slb"

long slb_bzip2_open(const char *slbpath);
void slb_bzip2_close(void);
SLB *slb_bzip2_get(void);

/* internal helper function */
long __CDECL bzip2_slb_control(long fn, void *arg);

/* Get the full path of the shared library */
#define bzip2_slb_libpath() ((const char *)bzip2_slb_control(4, 0))


#ifdef __cplusplus
}
#endif

#endif /* __SLB_BZIP2_H__ */
